Bug 35668 - complex.unoxml.DOMTest testXDocumentBuilder() crashes LO
Summary: complex.unoxml.DOMTest testXDocumentBuilder() crashes LO
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: complextest
Keywords:
Depends on:
Blocks: subsequenttest-failures mab3.4
  Show dependency treegraph
 
Reported: 2011-03-25 08:48 UTC by Björn Michaelsen
Modified: 2011-05-20 03:33 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-03-25 08:48:07 UTC
The method testXDocumentBuilder() in complex test complex.unoxml.DOMTest in unoxml crashes LibreOffice.

To reproduce, reactivate the "@Test" annotation in front of the
method testXDocumentBuilder() in unoxml/qa/complex/DOMTest.java and run:
 cd smoketestoo_native && build --all
 cd unoxml && make -sr subsequentcheck
Comment 1 Björn Michaelsen 2011-03-25 08:50:59 UTC
*** glibc detected *** ...solver300/unxlngx6.pro/installation/opt/program/soffice.bin: double free or corruption (fasttop): 0x00000000013f4780 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x78a8f)[0x2b3795261a8f]
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x73)[0x2b37952658e3]
/usr/lib/libxml2.so.2(xmlFreeParserCtxt+0x56)[0x2b3799f80146]
...solver300/unxlngx6.pro/installation/opt/program/../basis-link/program/libunoxmllx.so(+0x3f234)[0x2b37b5b59234]
...solver300/unxlngx6.pro/installation/opt/program/../basis-link/program/libunoxmllx.so(+0x43b52)[0x2b37b5b5db52]
...solver300/unxlngx6.pro/installation/opt/ure/lib/libgcc3_uno.so(+0x72be)[0x2b379dea72be]
...solver300/unxlngx6.pro/installation/opt/ure/lib/libgcc3_uno.so(+0x7af8)[0x2b379dea7af8]
...solver300/unxlngx6.pro/installation/opt/ure/lib/libgcc3_uno.so(+0x83a6)[0x2b379dea83a6]
...solver300/unxlngx6.pro/installation/opt/ure/lib/binaryurp.uno.so(+0x120ad)[0x2b37aa3b90ad]
...solver300/unxlngx6.pro/installation/opt/ure/lib/binaryurp.uno.so(+0x12aa9)[0x2b37aa3b9aa9]
...solver300/unxlngx6.pro/installation/opt/ure/lib/binaryurp.uno.so(+0x177de)[0x2b37aa3be7de]
...solver300/unxlngx6.pro/installation/opt/program/../basis-link/program/../ure-link/lib/libuno_cppu.so.3(+0x2dfbf)[0x2b3795fedfbf]
...solver300/unxlngx6.pro/installation/opt/program/../basis-link/program/../ure-link/lib/libuno_cppu.so.3(+0x2e3e8)[0x2b3795fee3e8]
...solver300/unxlngx6.pro/installation/opt/program/../basis-link/program/../ure-link/lib/libuno_cppu.so.3(+0x2e5a8)[0x2b3795fee5a8]
...solver300/unxlngx6.pro/installation/opt/program/../basis-link/ure-link/lib/libuno_sal.so.3(+0x1723e)[0x2b379401923e]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x6d8c)[0x2b3795798d8c]
/lib/x86_64-linux-gnu/libc.so.6(clone+0x6d)[0x2b37952cef7d]
======= Memory map: ========
00400000-00402000 r-xp 00000000 09:06 4231447                            ...solver300/unxlngx6.pro/installation/opt/program/soffice.bin
00601000-00602000 r--p 00001000 09:06 4231447                            ...solver300/unxlngx6.pro/installation/opt/program/soffice.bin
00602000-00603000 rw-p 00002000 09:06 4231447                            ...solver300/unxlngx6.pro/installation/opt/program/soffice.bin
010d3000-01418000 rw-p 00000000 00:00 0                                  [heap]
2b3793ddf000-2b3793e00000 r-xp 00000000 08:02 3409403                    /lib/x86_64-linux-gnu/ld-2.13.so
2b3793e00000-2b3793e03000 rw-p 00000000 00:00 0 
2b3793fff000-2b3794000000 r--p 00020000 08:02 3409403                    /lib/x86_64-linux-gnu/ld-2.13.so
2b3794000000-2b3794002000 rw-p 00021000 08:02 3409403                    /lib/x86_64-linux-gnu/ld-2.13.so
2b3794002000-2b379405b000 r-xp 00000000 09:06 4231236                    ...solver300/unxlngx6.pro/installation/opt/ure/lib/libuno_sal.so.3
2b379405b000-2b379425b000 ---p 00059000 09:06 4231236                    ...solver300/unxlngx6.pro/installation/opt/ure/lib/libuno_sal.so.3
2b379425b000-2b379425e000 r--p 00059000 09:06 4231236                    ...solver300/unxlngx6.pro/installation/opt/ure/lib/libuno_sal.so.3
2b379425e000-2b379425f000 rw-p 0005c000 09:06 4231236                    ...solver300/unxlngx6.pro/installation/opt/ure/lib/libuno_sal.so.3
2b379425f000-2b3794269000 rw-p 00000000 00:00 0 
2b3794269000-2b37942d8000 r-xp 00000000 09:06 4229277                    ...solver300/unxlngx6.pro/installation/opt/basis3.4/program/libsofficeapp.so
2b37942d8000-2b37944d8000 ---p 0006f000 09:06 4229277                    ...solver300/unxlngx6.pro/installation/opt/basis3.4/program/libsofficeapp.so
2b37944d8000-2b37944db000 r--p 0006f000 09:06 4229277                    ...solver300/unxlngx6.pro/installation/opt/basis3.4/program/libsofficeapp.so
2b37944db000-2b37944dc000 rw-p 00072000 09:06 4229277                    ...solver300/unxlngx6.pro/installation/opt/basis3.4/program/libsofficeapp.so
2b37944dc000-2b37944ed000 rw-p 00000000 00:00 0 
2b37944fa000-2b379450b000 r-xp 00000000 08:02 4196611                    /usr/lib/x86_64-linux-gnu/libXext.so.6.4.0
2b379450b000-2b379470a000 ---p 00011000 08:02 4196611                    /usr/lib/x86_64-linux-gnu/libXext.so.6.4.0
2b379470a000-2b379470b000 r--p 00010000 08:02 4196611                    /usr/lib/x86_64-linux-gnu/libXext.so.6.4.0
2b379470b000-2b379470c000 rw-p 00011000 08:02 4196611                    /usr/lib/x86_64-linux-gnu/libXext.so.6.4.0
2b379470c000-2b3794841000 r-xp 00000000 08:02 4202515                    /usr/lib/x86_64-linux-gnu/libX11.so.6.3.0
Comment 2 Björn Michaelsen 2011-03-26 04:06:54 UTC
Make all bugs with whiteboard status "unoapitest" and "complextest" block the 35690 subsequenttests metabug.
Comment 3 Björn Michaelsen 2011-05-16 01:37:09 UTC
Fixed as:
http://cgit.freedesktop.org/libreoffice/filters/commit/?id=883e8dbbe6f54a3002ce04d4d03a2d727ee4e2fa

on master. Still needs review for 3.4 branch.
Comment 4 Björn Michaelsen 2011-05-18 10:30:13 UTC
Cherrypicked to 3.4 as:
http://cgit.freedesktop.org/libreoffice/filters/commit/?h=libreoffice-
3-4&id=5d71b5082bdf17abbbb84bd02750a83741579f9a

=> RESOLVED, FIXED